Qt 5.9 | Qt 3D | C++ Classes | QAxis

Qt 5.9.9 Reference Documentation

# QAxis Class

(Qt3DInput::QAxis)

QAxis stores QAbstractAxisInputs used to trigger an input event. More...

Header: | #include <QAxis>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | Axis
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- value : const float

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QAxis(Qt3DCore::QNode *parent = nullptr)
void | addInput(QAbstractAxisInput *input)
QVector<QAbstractAxisInput *> | inputs() const
void | removeInput(QAbstractAxisInput *input)
float | value() const

- 11 public functions inherited from Qt3DCore::QNode

## Signals

void | valueChanged(float value)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Constructs a new QAxis instance with parent.

QAxis stores QAbstractAxisInputs used to trigger an input event.

## Property Documentation

### value : const float

The value of the axis.

Access functions:

float | value() const

Notifier signal:

void | valueChanged(float value)

## Member Function Documentation

### QAxis::QAxis(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAxis instance with parent parent.

### void QAxis::addInput(QAbstractAxisInput *input)

QAxis::addInput Adds an input for the axis.

See also Qt3DInput::QAbstractAxisInput.

### QVector<QAbstractAxisInput *> QAxis::inputs() const

QAxis::inputs

Returns vector of all inputs added to the axis.

### void QAxis::removeInput(QAbstractAxisInput *input)

QAxis::removeInput

Removes an input from the axis.

See also Qt3DInput::QAbstractAxisInput.